
#define LSERIAL_0 0x12
#define SERIALOUT_1 0x13


/* Aim at some address in the EEPROM, to be read */
#define EEPROMADDRSET_1 0x18

/* Write: low byte is address, high byte is data */
#define EEPROMWRITE_2 0x19

/* Do Read, Copy eeprom data at the set address 
	to I2C_TX_EEPROMBYTE. The EEPROM read address 
	is autoincremented. */
#define EEPROMREAD_0 0x1A

#define SPACERD 0x40

/* Space: */

#define I2C_TX_SERIAL   SPACERD+0

#define I2C_TX_TMR1L	SPACERD+0x01 /* Frequency-counter LSB */ 
#define I2C_TX_TMR1H	SPACERD+0x02 
#define I2C_TX_TMR1C	SPACERD+0x03 /* MSB */ 


#define I2C_TX_SECONDS0 SPACERD+0x04
#define I2C_TX_SECONDS1 SPACERD+0x05
#define I2C_TX_SECONDS2 SPACERD+0x06
#define I2C_TX_SECONDS3 SPACERD+0x07

/* Current tick at latest read-action; 1/61 second ticks count. */ 
#define I2C_TX_READSECONDS0 SPACERD+0x08
#define I2C_TX_READSECONDS1 SPACERD+0x09
#define I2C_TX_READSECONDS2 SPACERD+0x0A
#define I2C_TX_READSECONDS3 SPACERD+0x0B

#define I2C_TX_EEPROMBYTE  SPACERD+0x0C



