
/* aval.c -- Read the accumulator 
	the 12F1822 running the ase3.asm program. */ 

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase3.h"

#define I2CDEV "/dev/i2c-1"

#if(0)

int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd, s; 
	char liste[20];
	int aa;
	int sr, j;

	sr = 0;
	ba = 0x29;

	for(j = 1; j<argc; j++)
	{
		if(!strcmp("R", argv[j])) sr = 1;
	}

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		fprintf(stderr, "Bus address %d ", ba); 
		perror("I2C_SLAVE");
		close(fd);
		return(-1);
	}

	s = i2c_smbus_write_byte(fd, ASNAPSHOT_0); 

	if(s < 0)
	{
		fprintf(stderr, "smbus_write_byte ASNAPSHOT_0 "); 
		perror(i2cdev); 
	}

	delay(50);

	s = read(fd, liste, 4); 

	if(s < 0)
	{
		fprintf(stderr, "Read "); 
		perror(i2cdev); 
	}

	aa = liste[0] + (liste[1] << 8) + (liste[2] << 16) + (liste[3] << 24) ;
	printf("AC=0x%02x %02x %02x %02x = %d\n", liste[3], liste[2], liste[1], liste[0], aa);


	if(sr)
	{
		s = i2c_smbus_write_byte(fd, ARESET_0); 
	}

	close(fd);
	return(0);
}

#endif


int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd, s;
	int j, sr; 
	char autxt[10];
	double aval;
	uint32_t atx; 
	char abuff[30];
	time_t aat;
	int ye, mo, da, ho, mi, se;

	sr = 0;
	ba = 0x29;

	for(j = 1; j<argc; j++)
	{
		if(!strcmp("R", argv[j])) sr = 1;
	}

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	aunits(fd, ba, autxt, 10); 

	/* Return accumulator value and time of accumulation */ 
	avalue(fd, ba, &aval, &atx); 

	aat = convertatime(fd, ba, atx, 
		&ye, &mo, &da, &ho, &mi, &se);

	
	engrprint(abuff, 30, aval, 3, autxt); 

	printf("A = %s at %u-%02u-%02u %02u:%02u:%02u\n", 
		abuff, ye, mo, da, ho, mi, se);

	if(sr)
	{
		s = i2c_smbus_write_byte(fd, ARESET_0); 
	}

	close(fd);
	return(0);
}


