
/* eeput.c:  Set a value in the eeprom */

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdint.h>
#include <math.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase3.h"

#define I2CDEV "/dev/i2c-1"

int main(int argc, char **argv)
{
	char i2cdev[128];
	int fd, s, j, lo; 
	char *stop;
	int wz, ba;

	int sq, sa, sd;
	int a, d;

	ba = 0x29;

	sd = sa = sq = 0;
	d = 0;
	a = 0;

	for(j = 1; j<argc; j++)
	{
		if(!strcmp("?", argv[j]))
		{
			sq = 1;
		}

		if(!strcmp("A", argv[j]))
		{
			if(j+1 < argc)
			{
				sa = 1;
				a = strtol(argv[j+1], &stop, 0); 
			}
		}

		if(!strcmp("D", argv[j]))
		{
			if(j+1 < argc)
			{
				sd = 1;
				d = strtol(argv[j+1], &stop, 0); 
			}
		}
	}

	if(sq)
	{
		printf("Usage: %s A address\n", argv[0]);
		printf("Usage: %s A address D data\n", argv[0]);
	}
	
	if(sa) printf("Seen A=0x%04x=%d\n", a, a); 
	if(sd) printf("Seen D=0x%04x=%d\n", d, d); 

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		fprintf(stderr, "Bus address %d ", ba); 
		perror("I2C_SLAVE");
		close(fd);
		return(-1);
	}


	/* Set the memory values for A */
	if(sa && sd)
	{
		wz = (d << 8) | (a & 0xFF);
		delay(1000);
		s = i2c_smbus_write_word_data(fd, EEPROMWRITE_2, wz);
		printf("Write 0x%04x %d\n", wz, s);
	}


	delay(20);
	s = i2c_smbus_write_byte_data(fd, EEPROMADDRSET_1, a);
	delay(20);
	i2c_smbus_write_byte(fd, EEPROMREAD_0);
	delay(20);
	lo = i2c_smbus_read_byte_data(fd, I2C_TX_EEPROMBYTE);

	printf("Read back at 0x%x: data = 0x%04x = %d\n", a, lo, lo); 

	close(fd);

	return(0);
}


