

/* fval.c -- Read the frequency-counter 
	int the 12F1822 running the ase3.asm program. */ 

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase3.h"

#define I2CDEV "/dev/i2c-1"

int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd; 
	double fa;
	char buff[20];

	ba = 0x29;

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	fa = fmeas(fd, ba); 

	engrprint(buff, 20, fa, 3, "Hz"); 

	printf("F = %s\n", buff);

	close(fd);
	return(0);
}


#if(0)

double fmeas(int fd, int ba)
{
	int s; 
	char liste[5];
	int aa;
	double fa;

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		// fprintf(stderr, "Bus address %d ", ba); 
		// perror("I2C_SLAVE");
		return(-1.0);
	}

	s = i2c_smbus_write_byte(fd, I2C_TX_TMR1L); 
	if(s < 0)
	{
		// fprintf(stderr, "smbus_write_byte I2C_TX_TMR1L "); 
		// perror(i2cdev); 
		return(-1.0);
	}

	delay(50);

	s = read(fd, liste, 3); 

	if(s < 0)
	{
		// fprintf(stderr, "Read "); 
		// perror(i2cdev); 
		return(-1.0);
	}

	aa = liste[0] + (liste[1] << 8) + (liste[2] << 16);
	fa = (double) aa * ftick() / 61.0;

	printf("F=0x%02x %02x %02x = %d = %G\n", 
		liste[2], liste[1], liste[0], aa, fa);

	return(fa); 
}

#endif

