
/* r29.c -- Hit an i2c command to the 
	the 12F1822 running the ase3.asm program. */ 

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase3.h"

#define I2CDEV "/dev/i2c-1"


int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd, s; 
	char liste[20];
	int j;

	ba = 0x29;

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		fprintf(stderr, "Bus address %d ", ba); 
		perror("I2C_SLAVE");
		close(fd);
		return(-1);
	}
#if(0)
	printf("About to write serial byte\n");
	s = i2c_smbus_write_byte_data(fd, SERIALOUT_1, 0x41); 
	if(s < 0)
	{
		fprintf(stderr, "smbus_write_byte "); 
		perror(i2cdev); 
	}

	printf("Done write serial byte = %d\n", s);

	delay(50);
#endif

#if(1)
	printf("About to write spacerd byte\n");
	s = i2c_smbus_write_byte(fd, SPACERD); 

	if(s < 0)
	{
		fprintf(stderr, "smbus_write_byte "); 
		perror(i2cdev); 
	}

	printf("Done write spacerd byte = %d\n", s);

	delay(50);
#endif

#if(1)
	printf("About to read %d bytes\n", 16);
	for(j = 0; j<16; j++)
	{
		s = read(fd, liste+j, 1); 

		if(s < 0)
		{
			fprintf(stderr, "Read "); 
			perror(i2cdev); 
		}
		delay(50);
	}
#endif

	for(j = 0; j<16; j++)
	{
		printf("Read byte %d = %d\n", j, liste[j]); 
	}

	close(fd);
	return(0);
}


