

/* radc.c -- Read the adc 
	the 12F1822 running the ase3.asm program. */ 

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase3.h"

#define I2CDEV "/dev/i2c-1"


int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd; 
	int aa;

	ba = 0x29;

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	aa = ameas(fd, ba);

	printf("Read A = %d\n", aa); 

	close(fd);
	return(0);
}

#if(0)

/* Measure the analog input. */
int ameas(int fd, int ba)
{
	int s; 
	char liste[20];
	int aa;

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		// fprintf(stderr, "Bus address %d ", ba); 
		// perror("I2C_SLAVE");
		return(-1);
	}

	s = i2c_smbus_write_byte(fd, ADCSTART_0); 

	if(s < 0)
	{
		// fprintf(stderr, "smbus_write_byte ADCSTART_0 "); 
		// perror(i2cdev); 
		return(-1);
	}

	delay(50);

	s = read(fd, liste, 2); 

	if(s < 0)
	{
		// fprintf(stderr, "Read "); 
		// perror(i2cdev); 
		return(-1);
	}

	aa = liste[0] + (liste[1] << 8);

	printf("Read bytes %d %d A = %d\n", liste[0], liste[1], aa); 

	return(aa);
}


#endif
