
/* seo.c -- send out a serial port char. 
	12F1822 running the ase3.asm program. */ 

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/i2c-dev.h>
#include <utilib.h>
#include "ase2.h"

#define I2CDEV "/dev/i2c-1"


int main(int argc, char **argv)
{
	char i2cdev[128];
	int ba, fd, s; 
	char liste[20];
	int sc;

	sc = 0;	

	if(argc >= 2)
	{
		printf("See argv %d=%s\n", 1, argv[1]); 
		sc = argv[1][0];
	}

	ba = 0x29;

	snprintf(i2cdev, 128, I2CDEV);

	fd = open(i2cdev, O_RDWR);
	if(fd == -1) 
	{
		perror(i2cdev); 
		return(-1); 
	}

	s = ioctl(fd, I2C_SLAVE, ba); 
	if(s == -1) 
	{
		fprintf(stderr, "Bus address %d ", ba); 
		perror("I2C_SLAVE");
		close(fd);
		return(-1);
	}

	printf("About to write serial byte %d\n", sc);
	s = i2c_smbus_write_byte_data(fd, SERIALOUT_1, sc); 
	if(s < 0)
	{
		fprintf(stderr, "smbus_write_byte "); 
		perror(i2cdev); 
	}

	printf("Done write serial byte = %d\n", s);

	delay(50);

	close(fd);
	return(0);
}


