
#ifndef TIMDATHINCLUDED
#define TIMDATHINCLUDED 1

#include <time.h>

/* Set the system date and time. Uses the system(3) and date(1)
	commands, so isn't very fast. Then again, this is the sort of
	thing that is done only on startup anyway. */

void setdt_command(int year, int mo, int da, int ho, int mi);

/* Take a struct tm and return its constituent parts. 
	Recalculates year and month, so they have the conventional
	values (4 digits, and 1-12) */ 
	
void choptm(struct tm *ptm, 
	int *year, int *mo, int *da, int *ho, int *mi, int *se);

/* Get today's date and time into individual variables */ 
void getdt(int *year, int *mo, int *da, int *ho, int *mi, int *se);

/* Assmeble the year etc. into a struct tm, but does not set wday or yday. */ 
void assytm(struct tm *ta, int year, int mo, int da, int ho, int mi, int se);

/* Convert time in ISO format (YYYY-MM-DDXHH:MM:SS) to a 
	time_t and a struct tm (the struct tm does not have weekday
	or yearday set right away) */ 
time_t isotime(char *isorep, struct tm *ptm);

/* Set day and time via the settimeofday() system function */ 
int setdt(int year, int mo, int da, int ho, int mi, int se) ;

#endif


